<template>
    <div>
        <div class="container">

            <h1 class="h1 underline">Usuarios</h1>
            <hr class="margin-top-10">

            <div class="margin-top-10">
                <NuxtLink to="/user/get">Registrar nuevo Usuario</NuxtLink>
            </div>

            <div class="content margin-top-20">
                <table class="full-width table table-hover table-bordered table-sm">
                    <thead>
                        <tr>
                            <th width="2%">#</th>
                            <th>NOMBRE</th>
                            <th>APELLIDO</th>
                            <th>EDAD</th>
                            <th>TIPO</th>
                            <th colspan="3"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr v-for="(item, index) in usersList" :key="index">
                            <td class="text-center">{{ item.id }}</td>
                            <td class="text-center">{{ item.nombres }}</td>
                            <td class="text-center">{{ item.apellidos }}</td>
                            <td class="text-center">{{ item.edad }}</td>
                            <td class="text-center">{{ item.type }}</td>
                            <td class="text-center" width="6%">
                                <NuxtLink v-if="item.type.trim() === 'Médico'" :to="`/user/get/horarios-${item.id}`">Ver horarios</NuxtLink>
                            </td>
                            <td class="text-center" width="5%">
                                <NuxtLink :to="`/user/get/${item.id}`">Editar</NuxtLink>
                            </td>
                            <td class="text-center" width="5%">
                                <NuxtLink :to="`/user/get/${item.id}?a=2`">Eliminar</NuxtLink>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</template>
<script setup lang="ts">
    let { data: usersList} = await useFetch('/api/user', {   
        lazy:true,
        server: true,
        method: 'GET',
        headers: { 'method': 'list' }
    });
</script>